TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
({{TechDraw Tools navi}} and {{Userdocnavi}})
(Removed the Scripting paragraph. Code does not work. Copy-pasted together....)
 
(46 intermediate revisions by 8 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:22-->
{{Docnav
|[[TechDraw_AngleDimension|AngleDimension]]
|[[TechDraw_HorizontalExtentDimension|HorizontalExtentDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_AngleDimension.svg
|IconR=TechDraw_HorizontalExtentDimension.svg
|IconC=Workbench_TechDraw.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=TechDraw Dimension Angle3Pt|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Angle3Pt|Shortcut=|SeeAlso=}}
|Name=TechDraw 3PtAngleDimension
|MenuLocation=TechDraw → Dimensions → Insert 3-Point Angle Dimension
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Version=0.18
|SeeAlso=[[TechDraw_AngleDimension|TechDraw AngleDimension]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:8-->
<!--T:8-->
The '''TechDraw 3PtAngleDimension''' tool adds an angular dimension to a View. The dimension shows the interior angle between three points.
The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. '''Note that the second of the three Vertices is the apex of the angle'''. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension [[Image:LinkDimension.png|24px]] tool.
[[File:Angle3PtSample.png|200px|center]]


</translate>
==How to use== <!--T:3-->
[[Image:TechDraw_Dimension_Angle3Pt_example.png|200px]]
<translate>
<!--T:14-->
{{Caption|Measuring the angle between three points}}

==Usage== <!--T:3-->


<!--T:9-->
<!--T:9-->
# Select three points. The second point will be the apex of the angle. The geometry may be selected in the [[3D_view|3D view]] or in the drawing.
# Select the points or edge which define your measurement.
# If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the [[Tree_view|Tree view]].
# Press the {{KEY|[[Image:TechDraw_Dimension_Angle3Pt.png|24px]] [[TechDraw Dimension Angle3Pt|Dimension Angle3Pt]]}} button
# There are several ways to invoke the tool:
# A dimension will be added to the View. The dimension may be dragged to the desired position.
#* Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension|Insert 3-Point Angle Dimension]]}} button.
#* Select the {{MenuCommand|TechDraw → Dimensions → [[Image:TechDraw_3PtAngleDimension.svg|16px]] Insert 3-Point Angle Dimension}} option from the menu.
# A dimension is added to the View.
# The dimension may be dragged to the desired position.
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].


==Options== <!--T:4-->
===Display 3D measurement=== <!--T:26-->


<!--T:10-->
<!--T:27-->
See [[TechDraw_LengthDimension#Display_3D_measurement|TechDraw LengthDimension]].
None.


==Properties== <!--T:5-->
===Change properties=== <!--T:28-->


<!--T:11-->
<!--T:24-->
To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|Dimension dialog]].
{{TechDraw DimProps}}


==Scripting== <!--T:6-->
== Limitations == <!--T:15-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].


<!--T:16-->
The Dimension Angle3Pt tool can be used in [[macros]] and from the [[Python]] console by using the following functions:
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]].


==Notes== <!--T:29-->
</translate>
{{Code|code=
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)
}}
<translate>


==Notes== <!--T:7-->
<!--T:30-->
See [[TechDraw_LengthDimension#Notes|TechDraw LengthDimension]].


<!--T:13-->
==Properties== <!--T:5-->

* Available from version v0.18
<!--T:17-->
See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].


<!--T:23-->
{{Docnav
|[[TechDraw_AngleDimension|AngleDimension]]
|[[TechDraw_HorizontalExtentDimension|HorizontalExtentDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_AngleDimension.svg
|IconR=TechDraw_HorizontalExtentDimension.svg
|IconC=Workbench_TechDraw.svg
}}


{{TechDraw Tools navi}}
{{Userdocnavi}}
</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 17:57, 27 July 2023

TechDraw 3PtAngleDimension

Menu location
TechDraw → Dimensions → Insert 3-Point Angle Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.18
See also
TechDraw AngleDimension

Description

The TechDraw 3PtAngleDimension tool adds an angular dimension to a View. The dimension shows the interior angle between three points.

Measuring the angle between three points

Usage

  1. Select three points. The second point will be the apex of the angle. The geometry may be selected in the 3D view or in the drawing.
  2. If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the Tree view.
  3. There are several ways to invoke the tool:
  4. A dimension is added to the View.
  5. The dimension may be dragged to the desired position.
  6. If needed, add tolerances as described on this page.

Display 3D measurement

See TechDraw LengthDimension.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension.

Notes

See TechDraw LengthDimension.

Properties

See TechDraw LengthDimension.